priorities:
- name: "Compliance Framework report show linked Security Policies MVC"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11480"
  dri: "xanf"
  priority: "priority::1"
  target_release: "16.10"
  status: "ON TRACK"
  progress: "First MR has been broken into 4 MRs, first of split MRs is in review"
  milestone_goal: "Release all basic link information and begin on filtering"
- name: "Migrate Audit Events to ClickHouse Cloud"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10241"
  dri: "harsimarsandhu"
  target_release: "17.0"
  status: "ON TRACK"
  progress: "Another error has found in audit events during data transfer, we have paused transfer. A fix MR has been created. Data transfer will resume once merged"
  milestone_goal: "Complete data transfer on staging and prod, release first feature in dev"
  priority: "priority::1"
- name: "Compliance Pipeline to Security Policy Migration"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11275"
  dri: "sam.figueroa"
  priority: "priority::1"
  target_release: "17.0"
  status: "ON TRACK"
  progress: "First issue is in dev"
  milestone_goal: "Add maintenance banner behind FF"
- name: "Consolidation of tables for streaming audit events to various external destinations"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/12339"
  dri: "hraghuvanshi"
  target_release: "16.11"
  status: "ON TRACK"
  progress: "Custom headers and filtering in dev"
  milestone_goal: "Complete filter migrations and models, start dev on APIs"
  priority: "priority::1"
- name: "Improved Admin and Group-level branch protection settings"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10391"
  dri: "harsimarsandhu"
  target_release: "16.10"
  status: "ON TRACK"
  progress: "Final backend in review and frontend in dev."
  milestone_goal: "Complete and release"
  priority: "priority::1"
- name: "Show compliance progress for SOC2 based on the starting seven criteria"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/12148"
  dri: "huzaifaiftikhar1"
  priority: "priority::2"
  target_release: "17.0"
  status: "ON TRACK"
  progress: "First check MR in review, second check in dev"
  milestone_goal: "Begin development on two issues, and stretch to add one new check"
- name: "Comprehensive instance level audit log"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11153"
  dri: "jmontal"
  target_release: "17.0"
  status: "ON TRACK"
  progress: "One MR in review and one merged"
  milestone_goal: "Complete three more issues"
  priority: "priority::2"
- name: "Increase E2E test coverage for Govern:Compliance"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11200"
  dri: "huzaifaiftikhar1"
  target_release: "17.0"
  status: "ON TRACK"
  progress: "SAML auth MR protection has been merged, standards adherence report and compliance framework report in dev"
  milestone_goal: "Complete SAML auth MR protection and standards adherence report"
  priority: "priority::2"
- name: "Improve manage/edit compliance frameworks MVC"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11240"
  dri: "xanf"
  target_release: "16.10"
  status: "ON TRACK"
  progress: "Follow up issues in dev"
  milestone_goal: "Complete and release"
  priority: "priority::3"
- name: "SAML SSO authentication for merge request approval"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11084"
  dri: "sam.figueroa"
  target_release: "16.11"
  status: "ON TRACK"
  progress: "First issue in planning"
  milestone_goal: "Closed one assigned issue and one issue in dev"
  priority: "priority::3"
- name: "Standards Adherence Report Improvements"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11053"
  dri: "jmontal"
  target_release: "17.0"
  status: "ON TRACK"
  progress: "Final grouping in review and other follow ups in dev"
  milestone_goal: "Continue on follow up issues"
  priority: "priority::4"
- name: "Streaming audit events to AWS S3"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/6188"
  dri: "huzaifaiftikhar1"
  target_release: "16.9"
  status: "ON TRACK"
  progress: ""
  milestone_goal: ""
  priority: "priority::2"
- name: "Allow filtering of streamed audit events"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/6980"
  dri: "hraghuvanshi"
  target_release: "16.10"
  status: "ON TRACK"
  progress: ""
  milestone_goal: ""
  priority: "priority::2"
- name: "Add event type information for all streaming audit events"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/8057"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::2"
- name: "Compliance Violations Report improvements"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10796"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::2"
- name: "Comprehensive audit log"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/736"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::2"
- name: "Enforce project settings with compliance frameworks"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/6805"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::2"
- name: "Improve manage/edit compliance frameworks improvements"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11274"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::2"
- name: "Compliance Framework report ability to link Security Policies"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11628"
  dri: ""
  priority: "priority::2"
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
- name: "Add compliance adherence checks for each security scanner"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/12661"
  dri: ""
  priority: "priority::2"
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
- name: "Compliance violation export"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11067"
  dri: ""
  target_release: ""
  status: "ON TRACK"
  progress: ""
  milestone_goal: ""
  priority: "priority::3"
- name: "Streaming audit events to Azure Blob Storage"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11055"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::3"
- name: "Streaming audit events to Google Cloud Storage"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11160"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::3"
- name: "Instance Streaming Audit Events Improvements"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11085"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::3"
- name: "Compliance feature exports MVC"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11074"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::3"
- name: "Streaming audit events to Datadog"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11152"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::3"
- name: "Expand audit event usability"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/418"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::3"
- name: "Streaming audit events to Snowflake"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10952"
  dri: ""
  target_release: ""
  status: "BLOCKED"
  progress: ""
  milestone_goal: ""
  priority: "priority::3"
- name: "Add a version field to the audit event schema"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11259"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::3"
- name: "Compliance Framework report add change history"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11482"
  dri: ""
  priority: "priority::3"
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
- name: "Compliance Framework report add Adherence Report"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11481"
  dri: ""
  priority: "priority::3"
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
- name: "Test Streaming Audit Events configuration and surface connection issues"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/12602"
  dri: ""
  priority: "priority::3"
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
- name: "Link to compliance violation report"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/12774"
  dri: ""
  priority: "priority::3"
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
- name: "Destination streaming audit events improvements"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11054"
  dri: ""
  target_release: ""
  status: "ON TRACK"
  progress: ""
  milestone_goal: ""
  priority: "priority::4"
- name: "Streaming audit events to Splunk"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/7794"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::4"
- name: "Audit Event data retention settings"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/7917"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::4"
- name: "Create commit custody report"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/7196"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::4"
- name: "Compliance Center Improvements"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11930"
  dri: ""
  priority: "priority::4"
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
- name: "Add availability level to audit events"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/12087"
  dri: ""
  priority: "priority::4"
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
- name: "Support for OCSF"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11108"
  dri: ""
  priority: "priority::4"
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
- name: "New policy type: overwrite group/project general settings"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11361"
  dri: ""
  priority: "priority::4"
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""

closed:
- name: "Instance Level Streaming Audit Events Filtering"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10868"
  dri: "hraghuvanshi"
  target_release: "16.3"
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
- name: "Audit event type schema definition MVC"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/8383"
  dri: "huzaifaiftikhar1"
  target_release: "16.3"
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
- name: "Instance Level Streaming Audit Events MVC"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11062"
  dri: "hraghuvanshi"
  target_release: "16.2"
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
- name: "Filtering streaming by audit event type MVC"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11119"
  dri: ""
  target_release: "16.3"
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
- name: "Streaming audit events to Google Cloud Logging at Group level"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11060"
  dri: ""
  target_release: "16.3"
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
- name: "Enable compliance frameworks to define and enforce project settings and configuration"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/6545"
  dri: ""
  target_release: ""
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
- name: "Unification of Security Policies and Compliance Frameworks"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11145"
  dri: ""
  target_release: ""
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
  priority: "priority::1"
- name: "Instance level MR merge check, status checks"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11082"
  dri: "sam.figueroa"
  target_release: ""
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
  priority: "priority::4"
- name: "Button to recursively apply group-level push rules to existing projects"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11168"
  dri: ""
  target_release: ""
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
  priority: "priority::4"
- name: "Finer-grained control over default branch protections"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/6671"
  dri: ""
  target_release: ""
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
  priority: "priority::4"
- name: "Streaming audit events to Google Cloud Logging at Instance"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11061"
  dri: "hraghuvanshi"
  target_release: "16.5"
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
  priority: "priority::2"
- name: "Compliance Adherence Report MVC"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11052"
  dri: "huzaifaiftikhar1, jmontal"
  target_release: "16.5"
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
  priority: "priority::1"
- name: "Filter streaming audit events by custom string"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11376"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::4"
- name: "Filter streaming audit events by IP address"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11375"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::4"
- name: "Filter streaming audit events by user"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11374"
  dri: ""
  target_release: ""
  status: "NOT STARTED"
  progress: ""
  milestone_goal: ""
  priority: "priority::4"
- name: "Timeout and retry failed external status checks"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11081"
  dri: ""
  target_release: ""
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
  priority: "priority::4"
- name: "Compliance Adherence Report Checks"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11359"
  dri: ""
  target_release: ""
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
  priority: "priority::3"
- name: "SAML SSO authentication for merge request approval"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11084"
  dri: "sam.figueroa"
  target_release: "16.11"
  status: "CLOSED"
  progress: ""
  milestone_goal: ""
  priority: "priority::3"
